<?php
/**
 * @brief		Tabbed Forums Index Application Class
 * @author		<a href='https://invisioncommunity.com/profile/114025-adriano-faria/'>Adriano Faria</a>
 * @copyright	(c) 2020 Adriano Faria
 * @package		Invision Community
 * @subpackage	Tabbed Forums Index
 * @since		13 Jan 2020
 * @version		
 */
 
namespace IPS\tabbedforumsindex;

/**
 * Tabbed Forums Index Application Class
 */
class _Application extends \IPS\Application
{
	public function installOther()
	{
		try
		{
			$pluginData = \IPS\Db::i()->select( '*', 'core_plugins', array( 'plugin_location=?', "tabbedforumsindex" ) )->first();
			try
			{
				$plugin = \IPS\Plugin::load( $pluginData['plugin_id'] );
				$plugin->delete();
			}
			catch ( \Exception $e ){}
		}
		catch( \UnderflowException $e ){}
	}
}