//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class tabbedforumsindex_hook_tabbedForumModel extends _HOOK_CLASS_
{
	public function getTabSource()
	{
		try
		{
			$theTab = 0;
	
			foreach( \IPS\tabbedforumsindex\Tab::roots() as $tab )
			{
				if( $tab->type == 'all' )
				{
					$theTab = $tab;
				}
	
				if( $tab->type == 'categories' )
				{
					foreach( explode( ',', $tab->source_ids ) as $id )
					{
						$cat = \IPS\forums\Forum::load( $id );
						if( $cat->hasChildren() )
						{
							foreach( $cat->children() as $subForum )
							{
								$subForums[] = $subForum->id;
							}
	
							if( \in_array( \IPS\Request::i()->id, $subForums ) )
							{
								$theTab = $tab;
							}
						}
					}
				}
	
				if( $tab->type == 'forums' )
				{
					if( \in_array( $this->id, explode( ',', $tab->source_ids ) ) )
					{
						$theTab = $tab;
					}
				}
			}
	
			return $theTab;
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}