<?php

namespace IPS\tabbedforumsindex\modules\admin\tabs;

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	header( ( isset( $_SERVER['SERVER_PROTOCOL'] ) ? $_SERVER['SERVER_PROTOCOL'] : 'HTTP/1.0' ) . ' 403 Forbidden' );
	exit;
}

class _tabs extends \IPS\Node\Controller
{
	public static $csrfProtected = TRUE;
	protected $nodeClass = 'IPS\tabbedforumsindex\Tab';
	
	public function execute()
	{
		\IPS\Dispatcher::i()->checkAcpPermission( 'tabs_manage' );
		parent::execute();
	}
}