//<?php

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

class tabbedforumsindex_hook_tabbedSelet extends _HOOK_CLASS_
{
	/**
	 * Validate
	 *
	 * @throws	\OutOfRangeException
	 * @return	TRUE
	 */
	public function validate()
	{
		try
		{
			if( \IPS\Dispatcher::i()->module->key == 'forums' AND \IPS\Dispatcher::i()->controller == 'settings' )
			{
				if( $this->name == 'forums_default_view' OR $this->name == 'forums_default_view_choose' )
				{
					return TRUE;
				}
			}
	
			parent::validate();
		}
		catch ( \Error | \RuntimeException $e )
		{
			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}